package com.stormtales.notevault.data.repositories;

import android.app.Application;
import android.content.Context;
import com.stormtales.notevault.data.MusicDatabase;
import com.stormtales.notevault.data.dao.SongDao;
import com.stormtales.notevault.data.entities.Song;

import java.util.List;
import java.util.concurrent.Executors;

public class SongRepository {
    private SongDao songDao;
    public SongRepository(Context context) {
        MusicDatabase database = MusicDatabase.getDatabase(context);
        songDao = database.getSongTable();
    }
    public void insert(Song song) {
        Executors.newSingleThreadExecutor().execute(() -> {
            songDao.insert(song);
        });
    }

    public List<Song> getAllSongs() {
        return songDao.getAllSongs();
    }
}
