package com.stormtales.notevault.ui.home;

import android.app.Application;
import android.util.Log;
import androidx.annotation.NonNull;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;
import com.stormtales.notevault.data.entities.Song;
import com.stormtales.notevault.data.repositories.SongRepository;
import kotlinx.coroutines.CoroutineScope;

import java.util.ArrayList;
import java.util.List;

public class HomeViewModel extends ViewModel {

    private MutableLiveData<List<Song>> allSongs;
    private SongRepository songRepository;

    public HomeViewModel() {
        /*songRepository = new SongRepository(application);
        List<Song> requestedSongs = songRepository.getAllSongs();*/
        List<Song> currentSongs = new ArrayList<>();
        currentSongs.add(new Song("Test", "Some Test Composer", "Genre", 2022));
        this.allSongs = new MutableLiveData<>(currentSongs);
        /*this.allSongs.setValue(songRepository.getAllSongs());*/
    }

    public void addSong(Song song) {
        //songRepository.insert(song);
        List<Song> currentSongs = allSongs.getValue();
        if(currentSongs == null) {
            currentSongs = new ArrayList<>();
        }

        // Neue Liste erstellen und den Song hinzufügen
        List<Song> updatedSongs = new ArrayList<>(currentSongs);
        updatedSongs.add(song);
        // Neue Liste in MutableLiveData setzen
        allSongs.setValue(updatedSongs);
        Log.d("HomeViewModel", "Song added. Total songs: " + updatedSongs.size());
    }

    public LiveData<List<Song>> getAllSongsLive() {
        return allSongs;
    }
}